> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Requests

Get all time off requests. Can be filtered if necessary.


## OpenAPI

````yaml /openapi.json get /v1/time-off/requests
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/time-off/requests:
    get:
      summary: ' Get Requests'
      operationId: v1_time-off_requests_getRequests
      parameters:
        - schema:
            type: string
            format: uuid
            description: Filter to requests for a specific provider.
          required: false
          description: Filter to requests for a specific provider.
          name: providerId
          in: query
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            description: Filter to requests for providers in specific teams.
          required: false
          description: Filter to requests for providers in specific teams.
          name: teamId
          in: query
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: array
                items:
                  type: string
                  format: uuid
            description: Filter to requests for specific policies.
          required: false
          description: Filter to requests for specific policies.
          name: policyId
          in: query
        - schema:
            type: string
            description: >-
              Filter to requests whose start date is on or after the given
              timestamp.
            example: 2024-11-20T07:43:34+0000
          required: false
          description: >-
            Filter to requests whose start date is on or after the given
            timestamp.
          name: startDate
          in: query
        - schema:
            type: string
            description: >-
              Filter to requests whose end date is earlier than the provided
              timestamp.
            example: 2024-11-20T07:43:34+0000
          required: false
          description: >-
            Filter to requests whose end date is earlier than the provided
            timestamp.
          name: endDate
          in: query
        - schema:
            $ref: '#/components/schemas/TimeOffRequestStatus'
          required: false
          name: status
          in: query
        - schema:
            type: string
          required: false
          name: query
          in: query
        - schema:
            type: string
            description: >-
              Available expansions: `policy`, `provider`, `rejectedBy`


              See [Query Parameters](/using-the-api/query-parameters) for more
              information on expansions.
            alias: never
          required: false
          description: >-
            Available expansions: `policy`, `provider`, `rejectedBy`


            See [Query Parameters](/using-the-api/query-parameters) for more
            information on expansions.
          name: expand
          in: query
        - schema:
            type: string
            description: >-
              Available fields: `createdAt`, `startDate`


              See [Query Parameters](/using-the-api/query-parameters) for more
              information on sorting.
            alias: never
          required: false
          description: >-
            Available fields: `createdAt`, `startDate`


            See [Query Parameters](/using-the-api/query-parameters) for more
            information on sorting.
          name: sort
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 200
            default: 20
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRequestsResponse'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#negative-range
                          title:
                            type: string
                            example: Time range end date must come after start date.
                        required:
                          - type
                          - title
                    title: Negative Range
components:
  schemas:
    TimeOffRequestStatus:
      type: string
      enum:
        - pending
        - approved
        - rejected
        - cancelled
        - pending_sync
        - sync_failed
      x-fern-enum:
        pending: {}
        approved: {}
        rejected: {}
        cancelled: {}
        pending_sync: {}
        sync_failed: {}
      example: approved
      id: TimeOffRequestStatus
      x-speakeasy-group: v1.time-off
    GetRequestsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TimeOffRequest'
        cursor:
          type: string
      required:
        - items
    TimeOffRequest:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        status:
          $ref: '#/components/schemas/TimeOffRequestStatus'
        startDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        endDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        policyId:
          type: string
          format: uuid
        policy:
          $ref: '#/components/schemas/TimeOffPolicy'
        providerId:
          type: string
          format: uuid
        provider:
          $ref: '#/components/schemas/Provider'
        note:
          type:
            - string
            - 'null'
          example: Going on vacation with my family.
        dailyHours:
          $ref: '#/components/schemas/DailyHours'
        paidHours:
          type: number
          description: >-
            The total number of hours that will be paid out for this time off
            request.
          example: 32
        rejectedById:
          type: string
          format: uuid
          description: >-
            Only present for rejected time off requests, the user who rejected
            the request.
        rejectedBy:
          $ref: '#/components/schemas/User'
        rejectionReason:
          type:
            - string
            - 'null'
          description: >-
            Only present for rejected time off requests, reason may be null for
            unspecified.
        syncError:
          type:
            - object
            - 'null'
          properties:
            status:
              type: string
              enum:
                - success
                - failed
              x-fern-enum:
                success: {}
                failed: {}
            message:
              type:
                - string
                - 'null'
            createdAt:
              type: string
              example: 2024-11-20T07:43:34+0000
          required:
            - status
            - message
            - createdAt
          x-speakeasy-group: v1.time-off
          description: >-
            Present for pending_sync requests, contains the latest Rippling sync
            status and error message.
        conflictResolution:
          type:
            - string
            - 'null'
          enum:
            - delete
            - deleteWithOpen
            - callout
            - calloutWithOpen
            - keep
            - keepWithOpen
            - null
          x-fern-enum:
            delete: {}
            deleteWithOpen: {}
            callout: {}
            calloutWithOpen: {}
            keep: {}
            keepWithOpen: {}
          x-speakeasy-group: v1.time-off
          description: >-
            The shift conflict resolution strategy selected when this request
            was approved.
        isFullDay:
          type:
            - boolean
            - 'null'
          description: >-
            Whether the request blocks whole calendar days rather than the
            dailyHours windows. Null for requests created before this field
            existed; treated as full-day when the policy accrues in days.
      required:
        - id
        - createdAt
        - status
        - startDate
        - endDate
        - policyId
        - providerId
        - note
        - dailyHours
        - paidHours
      id: TimeOffRequest
      x-speakeasy-group: v1.time-off
    TimeOffPolicy:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        type:
          type: string
          enum:
            - bereavement
            - floating-holiday
            - holiday-pay
            - jury-duty
            - learning-and-development
            - paid-time-off
            - vacation
            - parental-leave
            - personal-day
            - sick
            - volunteer
            - weather
            - wellness
            - flex-day
            - marriage-code
            - unpaid-day
            - absence
            - custom
          x-fern-enum:
            bereavement: {}
            floating-holiday: {}
            holiday-pay: {}
            jury-duty: {}
            learning-and-development: {}
            paid-time-off: {}
            vacation: {}
            parental-leave: {}
            personal-day: {}
            sick: {}
            volunteer: {}
            weather: {}
            wellness: {}
            flex-day: {}
            marriage-code: {}
            unpaid-day: {}
            absence: {}
            custom: {}
          x-speakeasy-group: v1.time-off
          example: vacation
        name:
          type: string
          example: QC Vacation
        description:
          type:
            - string
            - 'null'
          example: Vacation policy for Quebec-based employees.
        accrualUnit:
          anyOf:
            - $ref: '#/components/schemas/AccrualUnit'
            - type: 'null'
        properties: {}
        payCodeId:
          type:
            - string
            - 'null'
          format: uuid
          description: The pay code for which associated time will be paid out.
        payCode:
          anyOf:
            - $ref: '#/components/schemas/PayCode'
            - type: 'null'
      required:
        - id
        - createdAt
        - type
        - name
        - description
        - accrualUnit
        - payCodeId
      id: TimeOffPolicy
      x-speakeasy-group: v1.time-off
    Provider:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type:
            - string
            - 'null'
          example: Bruce Wayne
        email:
          type: string
          example: bruce.wayne@goodhealth.com
        hireDate:
          type:
            - string
            - 'null'
          example: 2024-11-20T07:43:34+0000
        status:
          type: string
          enum:
            - onboarding
            - active
            - dismissed
            - unmanaged
          x-fern-enum:
            onboarding: {}
            active: {}
            dismissed: {}
            unmanaged: {}
          x-speakeasy-group: v1.users
          example: active
        teamId:
          type:
            - string
            - 'null'
          format: uuid
        licensedRegions:
          type: array
          items:
            type: string
        employmentType:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - id
        - name
        - email
        - hireDate
        - status
        - teamId
        - licensedRegions
        - employmentType
        - importedId
        - lastSyncedAt
        - personalInfo
        - dailyHours
        - minWeeklyHours
        - maxWeeklyHours
        - region
        - nationalProviderIdentifier
        - additionalInfo
      id: Provider
      x-speakeasy-group: v1.providers
    DailyHours:
      type: array
      items:
        $ref: '#/components/schemas/TimeOffDayEntry'
      description: >-
        Represents the number of hours requested off for each day in the time
        off request.
      example:
        - date: '2024-10-06T00:00:00.000Z'
          duration: 0
        - date: '2024-10-07T00:00:00.000Z'
          duration: 8
        - date: '2024-10-08T00:00:00.000Z'
          duration: 8
      id: DailyHours
      x-speakeasy-group: v1.time-off
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          $ref: '#/components/schemas/UserType'
        name:
          type: string
        email:
          type: string
        status:
          $ref: '#/components/schemas/EmploymentStatus'
        isAdmin:
          type: boolean
      required:
        - id
        - type
        - name
        - email
        - status
        - isAdmin
      id: User
      x-speakeasy-group: v1.users
    AccrualUnit:
      type: string
      enum:
        - hours
        - days
      x-fern-enum:
        hours: {}
        days: {}
      id: AccrualUnit
      x-speakeasy-group: v1.time-off
    PayCode:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          example: Overtime
        shorthandName:
          type: string
          example: OT
        hexColor:
          type: string
          example: '#f97316'
        type:
          type: string
          enum:
            - hours
            - days
            - money
          x-fern-enum:
            hours: {}
            days: {}
            money: {}
        value:
          type: number
          example: 1.5
      required:
        - id
        - name
        - shorthandName
        - hexColor
        - type
        - value
      id: PayCode
      x-speakeasy-group: v1.settings.pay-codes
    TimeOffDayEntry:
      type: object
      properties:
        date:
          type: string
          description: ISO timestamp of the date for the daily hours.
          example: '2024-10-06T00:00:00.000Z'
        duration:
          type: number
          description: Number of hours requested off for this day.
          example: 8
      required:
        - date
        - duration
      description: Represents the hours requested off for a single day.
      id: TimeOffDayEntry
      x-speakeasy-group: v1.time-off
    UserType:
      type: string
      enum:
        - user
        - bot
      x-fern-enum:
        user: {}
        bot: {}
      id: UserType
      x-speakeasy-group: v1.users
    EmploymentStatus:
      type: string
      enum:
        - onboarding
        - active
        - dismissed
        - unmanaged
      x-fern-enum:
        onboarding: {}
        active: {}
        dismissed: {}
        unmanaged: {}
      id: EmploymentStatus
      x-speakeasy-group: v1.users
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````